#!/usr/bin/perl
#written 1/9/98 by chris@katipo.co.nz
#to perform database updates

use CGI;
use Date::Manip;
use DBI;
use strict;
use katipo::sql;
use Time::Sheeting;
#Set up, set the date formatting.
&Date_Init("DateFormat=nonUS");

#Set up the DBI and connect to the database
my $dbh=&TimeConnect;
my $query= new CGI;

my $table=$query->param('table');
#print $query->header;
#print $table;
if ($table eq 'hours'){
  my $recordno=$query->param('recordno');
  my $user=$query->param('user');
  my $date=$query->param('date');
  my @labels=('description','code','hours','notes',);
  my %input;
  $input{$labels[0]}=$query->param('desc');
  $input{$labels[1]}=$query->param('code');
  $input{$labels[2]}=$query->param('time');
  $input{$labels[3]}=$query->param('notes');
#  print $query->header;
#  print "hey";
  &sql_up(\%input,$dbh,$table,"where recordno=$recordno");
  my $temp="/cgi-bin/timesheet2.pl?user=".$user."&date=".$date;
  print $query->redirect($temp);
}
if ($table eq 'jobs'){
  my @labels=('jobno','jobcode','description','openedby','estimated','project','notes','active');
  my %input;
  my $recordno=$query->param('recordno');
  $input{$labels[0]}=$query->param('jobno');
  $input{$labels[5]}=$query->param('project');
  $input{$labels[1]}=$query->param('jobcode');
  $input{$labels[2]}=$query->param('description');
  $input{$labels[3]}=$query->param('openedby');
  $input{$labels[4]}=$query->param('estimate');
  $input{$labels[6]}=$query->param('notes');
  $input{$labels[7]}=$query->param('active');
 # print $query->header;
  &sql_up(\%input,$dbh,$table,"where recordno=$recordno");
   my $temp="/cgi-bin/jobs2.pl";
     print $query->redirect($temp);
}
if ($table eq 'project'){
  my %input;
  my $projectno=$query->param('projectno');
  my @labels=('name','quote1','quote2','quote3','notes','openedby');
  $input{$labels[0]}=$query->param('project name');
  $input{$labels[1]}=$query->param('quote-url-1');
  $input{$labels[2]}=$query->param('quote-url-2');
  $input{$labels[3]}=$query->param('quote-url-3');  
  $input{$labels[4]}=$query->param('notes');
  $input{$labels[5]}=$query->param('openedby');
  &sql_up(\%input,$dbh,$table,"where projectno=$projectno");
  @labels=('clientname','project');
  my %input2;
  my $project=$query->param('oldproject');
  $input2{$labels[0]}=$query->param('client');
  $input2{$labels[1]}=$query->param('project name');
  &sql_up(\%input2,$dbh,'clientproj',"where project='$project'");
  @labels=('project');
  my %input3;
  $input3{$labels[0]}=$query->param('project name');
  &sql_up(\%input3,$dbh,'jobs',"where project='$project'");
#  print $query->header;
#  print $query->dump;
  my $temp="/cgi-bin/jobs2.pl";
  print $query->redirect($temp);
}  
