package Time::Sheeting; #asummes Time/Sheeting

#written 4/3/99 by chris@katipo.co.nz

#requires DBI.pm to be installed
#required Date::Manip
use strict;
require Exporter;
use DBI;
use Date::Manip;

use vars qw($VERSION @ISA @EXPORT @EXPORT_OK %EXPORT_TAGS);
  
# set the version for version checking
$VERSION = 0.01;
    
@ISA = qw(Exporter);
@EXPORT = qw(&TimeConnect &mysql_date &outputdate &topinc &botinc &toptab
&intab &abovetab);
%EXPORT_TAGS = ( );     # eg: TAG => [ qw!name1 name2! ],
		  
# your exported package globals go here,
# as well as any optionally exported functions

#@EXPORT_OK   = qw($TOP_INC $BOT_INC $TOPTAB $INTAB);


# non-exported package globals go here
use vars qw(@more $stuff);
	
# initalize package globals, first exported ones


my $BOT_INC   = '/usr/local/www/ts/htdocs/includes/time_bottom.inc';
my $TOPTAB='eda76f';
my $INTAB='fbe8d9';

my %Hashit = ();
		    
# then the others (which are still accessible as $Some::Module::stuff)
my $stuff  = '';
my @more   = ();
	
# all file-scoped lexicals must be created before
# the functions below that use them.
		
# file-private lexicals go here
my $priv_var    = '';
my %secret_hash = ();
			    
# here's a file-private function as a closure,
# callable as &$priv_func;  it cannot be prototyped.
my $priv_func = sub {
  # stuff goes here.
};
						    
# make all your functions, whether exported or not;



sub TimeConnect  {
  #edit this section to set up database connections
  my $hostname='localhost';
  my $database='jobs_dbase';
  my $user='ts';
  my $pass='TimeSheet';
  my $dbh=DBI->connect("DBI:mysql:$database:$hostname",$user,$pass);  
  return $dbh;
}    

sub mysql_date {
  my $date=$_[0];
  $date=&UnixDate($date,"%Y-%m-%d");
  return $date;
}

sub outputdate {
  my $date=$_[0];
  $date=&UnixDate($date,"%d/%m/%Y");
  return $date;
}
####
#change these variables to customise the look of the database
###
sub topinc {
  my $TOP_INC   = '/usr/local/www/timesheet/htdocs/includes/time_top.inc';
  return $TOP_INC;
}

sub botinc {
  my $inc='/usr/local/www/timesheet/htdocs/includes/time_bottom.inc';
  return $inc;
}

sub toptab{
  my $tab='eda76f';
  return $tab;
}

sub intab {
  my $tab='fbe8d9';
  return $tab;
}

sub abovetab {
  my $tab='e2d5e4';
  return $tab;
}
END { }       # module clean-up code here (global destructor)
