#!/usr/bin/perl

#written 8.2.99
#to provide interface to modify times worked for a day
#modified 17/3/99 to use Time::Sheeting

use strict;
use CGI;
use Date::Manip;
use DBI;
use Time::Sheeting;

#Set up, set the date formatting.
&Date_Init("DateFormat=nonUS");

#Set up the DBI and connect to the database
my $dbh=&TimeConnect;
my $query= new CGI;

print $query->header;

print <<printend
<html>

<head>
<TITLE>Katipo: Modify hours</TITLE>



</head>
printend
;
open (FILE,&topinc);
my @inpu=<FILE>;
print @inpu;
close FILE;

print "<font size=\"6\" color=\"#08004a\"><CENTER><em>Modify Time Spent on a Job</em></center></font>";

my $jobno=$query->param('jobno');
my $user=$query->param('user');
my $date=$query->param('date');
$date=&ParseDate($date);
$date=&UnixDate($date,"%Y%m%d");
my $select = "Select * from hours where jobno='$jobno' and
username='$user' and workdate='$date'";
my $sth=$dbh->prepare($select);
$sth->execute;
#print $select;
print "<center>";
print "<table cellpadding=0 cellspacing=0 border=0>";
while (my $dat=$sth->fetchrow_arrayref){
  print "<tr valign=top><td>$$dat[4]</td>
  <td> &nbsp; </td><td><a href=/cgi-bin/modhours.pl?recordno=$$dat[0]&table=hours>$$dat[6]</a>
  </td><td><a href=/cgi-bin/delete.pl?recordno=$$dat[0]>Delete</a></td>
  </tr>";
}
print "</table>";
print "</center>";
$sth->finish;
open (FILE,&botinc);
@inpu=<FILE>;
print @inpu;
close FILE;

