#!/usr/bin/perl

#writtend 3/3/99 by chris
# script to output staff information
# upated 5/3/99 by chris
#update 19/7/99
# modified to add email addresses 12/8/99
#modified 17/9/99 to use administration rules
# ie users can only modify their own info, unless they are marked as an administartor
# see docs/administration.txt
# modified 22/9/99 so that only active staff show

use strict;
use CGI;
use Date::Manip;
use DBI;
use Time::Sheeting;

#Set up, set the date formatting.
&Date_Init("DateFormat=nonUS");

#Set up the DBI and connect to the database
my $dbh=&TimeConnect;
my $query= new CGI;



print $query->header;

print <<printend
<html>
<head>
<TITLE>Katipo: Staff</TITLE>
</head>
printend
;
open (FILE,&topinc);
my @inpu=<FILE>;
print @inpu;
close FILE;

my $user2=$query->remote_user();
#get type
my $type=$query->param('type');
if ($type eq 'mod' || $type eq 'add'){
  my $id=$query->param('id');
  my $select="Select * from staff where recordno=$id";
  my $sth=$dbh->prepare($select);
  $sth->execute;
  my $data=$sth->fetchrow_arrayref;
  $sth->finish;
  print "<form>";
  print "<center>";
  if ($type eq 'mod'){
    print "<font size=\"6\" color=\"#08004a\"><CENTER><em>Modify a Current Staff Members Contact Details</em></center></font>"
  } else {
    print "<font size=\"6\" color=\"#08004a\"><CENTER><em>Add a New Staff Members Contact Details</em></center></font>"    
  }
  print "<table><tr valign=top>
  <td><font size=2>Username:</font></td><td><input type=text value=\"$$data[3]\" name=user>
  </td></tr>";
  print "<tr valign=top><td><font size=2>Firstname</font></td><td>
  <input type=text value=\"$$data[1]\" name=firstname></td></tr>
  <tr valign=top><td><font size=2>Lastname</font></td><td>
  <input type=text value=\"$$data[2]\" name=lastname></td></tr>
  <tr valign=top><td><font size=2>Phone</font></td><td>
  <input type=text value=\"$$data[4]\" name=phone></td></tr>
  <tr valign=top><td><font size=2>Email</font></td><td>
  <input type=text value=\"$$data[15]\" name=email></td></tr>
  <tr valign=top><td><font size=2>Mobile</font></td><td>
  <input type=text value=\"$$data[5]\" name=mobile></td></tr>
  <tr valign=top><td><font size=2>Fax</td>
  <td><input type=text value=\"$$data[7]\" name=fax></td></tr>
  <tr valign=top><td><font size=2>Address</font></td><td>
  <input type=text value=\"$$data[6]\" name=address></td></tr>
  <tr valign=top><td><font size=2>IRD number</font></td>
  <td><input type=text value=\"$$data[8]\" name=irdnum></td></tr>
  <tr valign=top><td><font size=2>Start Date</font></td>
  <td><input type=text value=\"$$data[9]\" name=startdate></td></tr>
  <tr valign=top><td><font size=2>Tax code</font></td>
  <td><input type=text value=\"$$data[10]\" name=taxcode></td></tr>
  <tr valign=top><td><font size=2>Job title</font></td>
  <td><input type=text value=\"$$data[12]\" name=jobtitle></td></tr>
  <tr valign=top><td><font size=2>Next of Kin</font></td>
  <td><textarea name=nextofkin rows=4 cols=40>$$data[11]</textarea></td></tr>
  ";
  if ($type eq 'mod'){
    print "<input type=hidden value=update name=type>
    <input type=hidden value=$$data[0] name=recordno>
    <tr valign=top><td><input type=submit value=Update></td>
    <td><input type=reset></td></tr>";
  } else {
    print "<input type=hidden value=insert name=type>
   
    <tr valign=top><td><input type=submit value=Add></td>
    <td><input type=reset></td></tr>";
  }
  print "</table>";
  print "</form>";
  print "</center>";
} else {
  if ($type eq 'update' || $type eq 'insert'){
     my $recordno=$query->param('recordno');
     my $user=$query->param('user');
     my $firstname=$query->param('firstname');
     my $lastname=$query->param('lastname');
     my $phone=$query->param('phone');
     my $mobile=$query->param('mobile');
     my $address=$query->param('address');
     my $fax=$query->param('fax');
     my $irdnum=$query->param('irdnum');
     my $startdate=$query->param('startdate');
     $startdate=&ParseDate($startdate);
     $startdate=&mysql_date($startdate);
     my $taxcode=$query->param('taxcode');
     my $next=$query->param('nextofkin');
     my $jobtitle=$query->param('jobtitle');
     my $email=$query->param('email');
     my $modify;
     if ($type eq 'update'){
       $modify="update staff set username='$user',firstname='$firstname',lastname
       ='$lastname',phone1='$phone',phone2='$mobile',address='$address',fax='$fax',
       irdnum='$irdnum',startdate='$startdate',taxcode='$taxcode',nextofkin='$next',
       jobtitle='$jobtitle',email='$email'
       where recordno=$recordno";
       
     }
     if ($type eq 'insert'){
       my $sth=$dbh->prepare("select max(recordno) from staff");
       $sth->execute;
       my $dat=$sth->fetchrow_arrayref;
       if ($$dat[0] ne ''){
         $recordno=$$dat[0];
       } else {
         $recordno=0;
       }
       $recordno++;
       my $payrate=0;
       $sth->finish;
       $modify="insert into staff values 
       ($recordno,'$firstname','$lastname','$user','$phone','$mobile','$address','$fax',
       '$irdnum','$startdate','$taxcode','$next','$jobtitle','$payrate',1,'$email')";
     
     }
#     print $modify;
     my $sth=$dbh->prepare($modify);
     $sth->execute;
     $sth->finish;
     
  }
#get staff info from the database
my $sth=$dbh->prepare("select * from admin where username='$user2'");
$sth->execute;
my @admin=$sth->fetchrow_array;
$sth->finish;
my $user=$query->remote_user;
my $select="Select * from staff where active=1";
$sth=$dbh->prepare($select);
$sth->execute;
my $switch=1;
print "<center>
<a href=staff.pl?type=add> Add a new staffmember</a> ";
#my $sth2=$dbh->prepare("select * from admin where username=$user2");
#$sth2->execute;
#my @admin=$sth2->fetchrow_array;
#$sth2->finish;
if ($admin[1] eq '0'){
 print " &nbsp; &nbsp; <a href=payrate.pl> Change Pay Rates </a></P>";
} else {
 print "</p>";
}
print "<table cellpadding=4 cellspacing=0 border=0>";
my $toptab=&toptab;
print "<tr valign=top  bgcolor=$toptab><td><b><font size=2>Staff member</font></b></td>
<td><b><font size=2>Phone</font></b></td>
<td><b><font size=2>Mobile</font></b></td>
<td><b><font size=2>Fax</font></b></td>

<td><b><font size=2>Email</font></b></td>
<td><b><font size=2>Address</font></b></td></tr>";

while (my $data=$sth->fetchrow_arrayref){
 
  print "<tr valign=top";
  if ($switch == 1){
    my $intab=&intab;
    print " bgcolor=$intab";
    $switch=0;
  } else {
    $switch=1;
  }
  print ">";
  print "<td><font size=2>";
  if ($admin[1] eq '0' || $user eq $$data[3]){
    print "<a href=staff.pl?id=$$data[0]&type=mod>$$data[3]</a>";
   
  } else {
    print "$$data[3]";
  }
  print "</font></td>
  <td><font size=2>$$data[4] &nbsp;</font></td><td><font size=2>$$data[5] &nbsp;</font></td>
  <td><font size=2>$$data[7] &nbsp; </font></td>
  <td><font size=2><a href=mailto:$$data[15]>$$data[15]</a> &nbsp; </font></td>
  <td align=left><font size=2>$$data[6] &nbsp; </font></td>";
  print "</tr>";
  
}
print "<tr valign=top bgcolor=$toptab><td colspan=6> &nbsp; </td></tr>
</table></center><p>";

}
open (FILE,&botinc);
@inpu=<FILE>;
print @inpu;
close FILE;

$dbh->disconnect;
